Bug 1413402 - [Packaging] /usr/share/doc/pygobject2 folder is created with wrong permissions
Summary: [Packaging] /usr/share/doc/pygobject2 folder is created with wrong permissions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pygobject2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 19:08 UTC by Christian Stadelmann
Modified: 2018-08-09 10:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-09 10:18:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2017-01-15 19:08:11 UTC
Version-Release number of selected component (if applicable):
pygobject2-2.28.6-16.fc25.x86_64

How reproducible:
always – see RPM package

Steps to Reproduce:
Run $ less pygobject2-2.28.6-16.fc25.x86_64.rpm

Actual results:
drw-r--r--    2 root    root    0 Jul 19  2016 /usr/share/doc/pygobject2

Expected results:
drw-r-xr-x    2 root    root    0 Jul 19  2016 /usr/share/doc/pygobject2

Additional info:
Documentation folder of pygobject2 should be world-accessible, this includes the "x" flag for listing directory contents.

Comment 1 Fedora End Of Life 2017-11-16 18:51:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Hans de Goede 2018-08-09 10:18:57 UTC
On rawhide I currently get this:

[hans@shalem ~]$ ls -ld /usr/share/doc/pygobject2
drwxr-xr-x. 3 root root 4096  9 aug 12:18 /usr/share/doc/pygobject2

Closing.


Note You need to log in before you can comment on or make changes to this bug.